Subject: Barney Limbaugh
From: [email-masked] (Skip Vogt)
Date: Wed, 11 Jan 95 19:30:03 EST

Someone earlier suggested a striking similarity between Rush
Limbaugh and television wrestlers.  On my cable system, however,
Rush occupies the slot next to Barney and, while channel surfing
recently, I began to notice the similarity between the two.  For
comparison's sake:

                         Barney                 Rush
                         ------                 ----

Large clumsy              YES                   YES
animal?

Garish, tight-            YES                   YES
fitting clothes?

Oversized head            YES                   YES
and oversized rump?

Stupid, repeti-          "I love you          "I hate Bill
tious song that           You love me...       I hate  Hillary
is repeated ad
nauseam?

Idiotic plastic           YES                   YES
grin no matter
what he's saying?

Beloved by some           YES                   YES
but hated by
others?

Appeals mostly to         YES                   YES
those of limited
ability to think
for themselves?

Makes more money          YES                   YES
than is warranted
by talent?

Spawn of Satan?           Some say yes          Some say yes

I think the evidence is clear!

--
Selected by Maddi Hausmann Sojourner.  MAIL your joke to [email-masked].
Attribute the joke's source if at all possible.  A Daemon will auto-reply.

Remember: PLEASE spell check and proofread your jokes.  You think I have
time to hand-correct everybody's postings?